获取 credentialUserRegistrationsSummary
本文内容
命名空间:microsoft.graph.managedTenants
重要
Microsoft Graph版本下的 /beta API 可能会发生更改。 不支持在生产应用程序中使用这些 API。 若要确定 API 是否在 v1.0 中可用,请使用 版本 选择器。
读取 credentialUserRegistrationsSummary 对象的 属性和关系。
权限
要调用此 API,需要以下权限之一。要了解详细信息,包括如何选择权限的信息,请参阅权限 。
权限类型
权限(从最低特权到最高特权)
委派(工作或学校帐户)
Reports.Read.All
委派(个人 Microsoft 帐户)
不支持。
应用程序
不支持。
HTTP 请求
GET /tenantRelationships/managedTenants/credentialUserRegistrationsSummaries/{credentialUserRegistrationsSummaryId}
可选的查询参数
此方法支持 OData 查询参数 ,以帮助自定义响应,包括$apply、$count、$filter、$orderBy``$select和 $skip``$top。
名称
说明
Authorization
Bearer {token}。必需。
请求正文
请勿提供此方法的请求正文。
响应
如果成功,此方法在响应正文中返回 200 OK 响应代码和 credentialUserRegistrationsSummary 对象。
示例
请求
GET https://graph.microsoft.com/beta/tenantRelationships/managedTenants/credentialUserRegistrationsSummaries/{credentialUserRegistrationsSummaryId}
GraphServiceClient graphClient = new GraphServiceClient( authProvider );
var credentialUserRegistrationsSummary = await graphClient.TenantRelationships.ManagedTenants.CredentialUserRegistrationsSummaries["{managedTenants.credentialUserRegistrationsSummary-id}"]
.Request()
.GetAsync();
const options = {
authProvider,
};
const client = Client.init(options);
let credentialUserRegistrationsSummary = await client.api('/tenantRelationships/managedTenants/credentialUserRegistrationsSummaries/{credentialUserRegistrationsSummaryId}')
.version('beta')
.get();
MSHTTPClient *httpClient = [MSClientFactory createHTTPClientWithAuthenticationProvider:authenticationProvider];
NSString *MSGraphBaseURL = @"https://graph.microsoft.com/beta/";
NSMutableURLRequest *urlRequest = [NSMutableURLRequest requestWithURL:[NSURL URLWithString:[MSGraphBaseURL stringByAppendingString:@"/tenantRelationships/managedTenants/credentialUserRegistrationsSummaries/{credentialUserRegistrationsSummaryId}"]]];
[urlRequest setHTTPMethod:@"GET"];
MSURLSessionDataTask *meDataTask = [httpClient dataTaskWithRequest:urlRequest
completionHandler: ^(NSData *data, NSURLResponse *response, NSError *nserror) {
MSGraphCredentialUserRegistrationsSummary *credentialUserRegistrationsSummary = [[MSGraphCredentialUserRegistrationsSummary alloc] initWithData:data error:&nserror];
}];
[meDataTask execute];
GraphServiceClient graphClient = GraphServiceClient.builder().authenticationProvider( authProvider ).buildClient();
CredentialUserRegistrationsSummary credentialUserRegistrationsSummary = graphClient.tenantRelationships().managedTenants().credentialUserRegistrationsSummaries("{credentialUserRegistrationsSummaryId}")
.buildRequest()
.get();
//THE GO SDK IS IN PREVIEW. NON-PRODUCTION USE ONLY
graphClient := msgraphsdk.NewGraphServiceClient(requestAdapter)
credentialUserRegistrationsSummaryId := "credentialUserRegistrationsSummary-id"
result, err := graphClient.TenantRelationships().ManagedTenants().CredentialUserRegistrationsSummariesById(&credentialUserRegistrationsSummaryId).Get()
响应
注意: 为了提高可读性,可能缩短了此处显示的响应对象。
HTTP/1.1 200 OK
Content-Type: application/json
{
"@odata.type": "#microsoft.graph.managedTenants.credentialUserRegistrationsSummary",
"id": "34298981-4fc8-4974-9486-c8909ed1521b",
"mfaAndSsprCapableUserCount": 0,
"ssprEnabledUserCount": 1,
"mfaRegisteredUserCount": 0,
"mfaExcludedUserCount": 2,
"ssprRegisteredUserCount": 0,
"totalUserCount": 7,
"securityDefaultsEnabled": false,
"mfaConditionalAccessPolicyState": "enabledForReportingButNotEnforced",
"lastRefreshedDateTime": "2021-07-11T11:15:52.9375367Z",
"tenantId": "34298981-4fc8-4974-9486-c8909ed1521b",
"tenantDisplayName": "Fourth Coffee"
}